## org.biojavax.bio.seq
Interface RichFeatureRelationshipHolder

All Known Subinterfaces:
  RichFeature

All Known Implementing Classes:
  SimpleRichFeature

    public interface RichFeatureRelationshipHolder

Holds feature relationships.

Since:
  1.5
Author:
  Richard Holland

Method Summary
`void` `addFeatureRelationship(RichFeatureRelationship relationship)` Adds a relationship to this feature holder.
`Set` `getFeatureRelationshipSet()` Returns the set of relationships held in this feature holder.
`void` `removeFeatureRelationship(RichFeatureRelationship relationship)` Removes a relationship from this feature holder.
`void` `setFeatureRelationshipSet(Set relationships)` Clears the relations from this feautre holder and replaces them with a new set.

Method Detail

### addFeatureRelationship

    void addFeatureRelationship(RichFeatureRelationship relationship)
                                throws ChangeVetoException

  Adds a relationship to this feature holder.

  Parameters:
    `relationship` - the relationship to add.
  Throws:
    `ChangeVetoException` - if the relationship is unacceptable.

### removeFeatureRelationship

    void removeFeatureRelationship(RichFeatureRelationship relationship)
                                   throws ChangeVetoException

  Removes a relationship from this feature holder.

  Parameters:
    `relationship` - the relationship to remove.
  Throws:
    `ChangeVetoException` - if it cannot be removed.

### getFeatureRelationshipSet

    Set getFeatureRelationshipSet()

  Returns the set of relationships held in this feature holder.

  Returns:
    a set of RichFeatureRelationship objects.

### setFeatureRelationshipSet

    void setFeatureRelationshipSet(Set relationships)
                                   throws ChangeVetoException

  Clears the relations from this feautre holder and replaces them with a new set.

  Parameters:
    `relationships` - the new set of features this holder should have. The set must contain only RichFeatureRelationship objects.
  Throws:
    `ChangeVetoException` - if the new set could not be installed.